import setuptools

setup_params = dict(
    name="pmxbot-wolframalpha",
    use_hg_version=True,
    packages=setuptools.find_packages(),
    entry_points=dict(
        pmxbot_handlers = [
            'Wolfram|Alpha = pmxbot_wolframalpha',
        ]
    ),
    install_requires=[
        "wolframalpha",
    ],
    description="Wolfram Alpha support for pmxbot",
    license = 'MIT',
    author="You Gov, Plc. (chmullig, jaraco)",
    author_email="open.source@yougov.com",
    maintainer = 'jaraco',
    maintainer_email = 'jaraco@jaraco.com',
    url = 'http://bitbucket.org/yougov/pmxbot-wolframalpha',
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: POSIX',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Communications :: Chat',
        'Topic :: Communications :: Chat :: Internet Relay Chat',
    ],
    tests_require=[
        'pytest',
        'pmxbot',
    ],
    setup_requires=[
        'hgtools',
        'pytest-runner',
    ],
)

if __name__ == '__main__':
    setuptools.setup(**setup_params)
